<!-- nav bar -->
{include file="%s/templates/_nav.tpl"|args:$plugin_root current_nav="personne"}

<h2>Versements par personne</h2>

<form method="post" id="versements_personnes" action="generer_personnes.php">

    <fieldset class="versements" id="versements_global">
        <input type="checkbox" class="check_global" id="check_global" onclick="cocherDecocherToutesLesPersonnes(this.form, check_global)" />
        <label for="check_global">Cliquer pour cocher toutes les lignes</label>
    </fieldset>

    {* Itération sur les personnes *}
    {foreach from=$lesVersements key="i" item="versement"}
        {if $i == 0}
            {* 1ère personne *}
            <?php
            $personneCourante = $versement->idUser;
            ?>
            {afficher_debut_personne versement=$versement}
            {afficher_versement versement=$versement rang=$i}
        {elseif $versement.idUser != $personneCourante}
            {* changement de personne *}
            </fieldset>
            <?php
            $personneCourante = $versement->idUser;
            ?>
            {afficher_debut_personne versement=$versement}
            {afficher_versement versement=$versement rang=$i}
        {else}
            {* même personne *}
            {afficher_versement versement=$versement rang=$i}
        {/if}
    {/foreach} {* Itération sur les personnes *}
    </fieldset>

    <input type="submit" value="Générer les reçus" onclick="return verifierChoix(this.form)">
</form>

{* scripts pour cases à cocher *}
<script src="script.js"></script>

<!-- footer -->
{include file="admin/_foot.tpl"}
