<!-- nav bar -->
{include file="%s/templates/_nav.tpl"|args:$plugin_root current_nav="versements"}

<h2>Versements par activité et tarif</h2>

<div class="year-header noprint">
    <button type="button" data-icon="↓" class="icn-btn" id="open_details">Déplier toutes les activités</button>
    <button type="button" data-icon="↑" class="icn-btn" id="close_details">Replier toutes les activités</button>
</div>

<form method="post" id="versements_activites" action="generer_activites.php">

    <fieldset class="versements" id="versements_global">
        <input type="checkbox" class="check_global" id="check_global" onclick="cocherDecocherTout(check_global)" />
        <label for="check_global">Cliquer pour cocher toutes les lignes</label>
    </fieldset>

    {* Itération sur les versements *}
    {foreach from=$lesVersements key="i" item="versement"}
        {if $i == 0}
            {* premier versement *}
            <?php
            $tarifCourant = $versement->idTarif;
            $personneCourante = $versement->idUser;
            ?>
            {afficher_debut_tarif versement=$versement}
            {afficher_debut_personne versement=$versement}
            {afficher_versement versement=$versement rang=$i}
        {else}
            {* autre versement *}
            {if $versement.idTarif != $tarifCourant}
                {* changement de tarif *}
                </fieldset> {* fin versements d'une personne *}
                </details>
                <?php
                $tarifCourant = $versement->idTarif;
                $personneCourante = $versement->idUser;
                ?>
                {afficher_debut_tarif versement=$versement}
                {afficher_debut_personne versement=$versement}
                {afficher_versement versement=$versement rang=$i}
            {elseif $versement.idUser != $personneCourante}
                {* changement de personne *}
                </fieldset>
                <?php
                $personneCourante = $versement->idUser;
                ?>
                {afficher_debut_personne versement=$versement}
                {afficher_versement versement=$versement rang=$i}
            {else}
                {* même personne *}
                {afficher_versement versement=$versement rang=$i}
            {/if}
        {/if}
    {/foreach} {* Itération sur les versements *}
    </fieldset>
    </details>

    <input type="submit" value="Générer les reçus" onclick="return verifierChoix(this.form)">
</form>

{* scripts pour cases à cocher *}
<script src="script.js"></script>

{literal}
    <script type="text/javascript">
        // ouvrir/fermer les détails
        document.querySelector('#open_details').onclick = () => {
            document.querySelectorAll('details').forEach((e) => {
                e.setAttribute('open', 'open');
            });
        };
        document.querySelector('#close_details').onclick = () => {
            document.querySelectorAll('details').forEach((e) => {
                e.removeAttribute('open');
            });
        };
    </script>
{/literal}

<!-- footer -->
{include file="admin/_foot.tpl"}